Add a user to a fact-find session Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v2/submissions/add-user/{factFindSession_uuid}

Creates a prospect account with the provided email address and attaches them to the specified fact-find session.

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • factFindSession_uuid string Required

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • type string

      Account type

    • role string

      Account role

    • first_name string

      First name

    • last_name string

      Last name

    • name string

      Name

    • email string

      (Deprecated - Please use the primary email of the account instead). The email of the account.

    • photo_url string

      The photo URL of the client

    • external_references array[object]

      The external references that have been added to the client.

      Hide external_references attributes Show external_references attributes object
      • uuid string
      • created_at string
      • updated_at string
      • third_party string
      • reference string
POST /api/v2/submissions/add-user/{factFindSession_uuid}
curl \
 --request POST 'https://api.plannrcrm.com/api/v2/submissions/add-user/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (201)
{
  "uuid": "dc95300a-994a-4377-ae5b-66d26713e3bf",
  "created_at": "2026-06-18T16:11:36+01:00",
  "updated_at": "2026-06-18T16:11:36+01:00",
  "type": "client",
  "role": "client",
  "first_name": "Gareth",
  "last_name": "Thompson",
  "name": "Gareth Thompson",
  "email": "gareth@codepotato.co.uk",
  "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
  "external_references": [
    {
      "uuid": "37b80172-e061-4fec-a648-e22dbcbe0029",
      "created_at": "2026-06-18T16:11:36+01:00",
      "updated_at": "2026-06-18T16:11:36+01:00",
      "third_party": "nucleus",
      "reference": "AB123456"
    }
  ]
}